ndcctools.chirp.Stat Class Reference

Python Stat object. More...

Inheritance diagram for ndcctools.chirp.Stat:

## Public Member Functions

| path (self)
| Target path.
| device (self)
| ID of device containing file.
| inode (self)
| inode number
| mode (self)
| file mode permissions
| nlink (self)
| number of hard links
| uid (self)
| user ID of owner
| gid (self)
| group ID of owner
| rdev (self)
| device ID if special file
| size (self)
| total size, in bytes
| block_size (self)
| block size for file system I/O
| blocks (self)
| number of 512B blocks allocated
| atime (self)
| number of seconds since epoch since last access
| mtime (self)
| number of seconds since epoch since last modification
| ctime (self)
| number of seconds since epoch since last status change

## Detailed Description

Python Stat object.

This class is used to record stat information for files/directories of a chirp server.

## Member Function Documentation

## path()

ndcctools.chirp.Stat.path | ( |  | self | ) |

Target path.

>>> print(s.path)

## device()

ndcctools.chirp.Stat.device | ( |  | self | ) |

ID of device containing file.

>>> print(s.device)

## inode()

ndcctools.chirp.Stat.inode | ( |  | self | ) |

inode number

>>> print(s.inode)

## mode()

ndcctools.chirp.Stat.mode | ( |  | self | ) |

file mode permissions

>>> print(s.mode)

## nlink()

ndcctools.chirp.Stat.nlink | ( |  | self | ) |

number of hard links

>>> print(s.nlink)

## uid()

ndcctools.chirp.Stat.uid | ( |  | self | ) |

user ID of owner

>>> print(s.uid)

## gid()

ndcctools.chirp.Stat.gid | ( |  | self | ) |

group ID of owner

>>> print(s.gid)

## rdev()

ndcctools.chirp.Stat.rdev | ( |  | self | ) |

device ID if special file

>>> print(s.rdev)

## size()

ndcctools.chirp.Stat.size | ( |  | self | ) |

total size, in bytes

>>> print(s.size)

## block_size()

ndcctools.chirp.Stat.block_size | ( |  | self | ) |

block size for file system I/O

>>> print(s.block_size)

## blocks()

ndcctools.chirp.Stat.blocks | ( |  | self | ) |

number of 512B blocks allocated

>>> print(s.blocks)

## atime()

ndcctools.chirp.Stat.atime | ( |  | self | ) |

number of seconds since epoch since last access

>>> print(s.atime)

## mtime()

ndcctools.chirp.Stat.mtime | ( |  | self | ) |

number of seconds since epoch since last modification

>>> print(s.mtime)

## ctime()

ndcctools.chirp.Stat.ctime | ( |  | self | ) |

number of seconds since epoch since last status change

>>> print(s.ctime)

The documentation for this class was generated from the following file:

- chirp.py